// MetaFactory.h
//
//////////////////////////////////////////////////////////////////////

#include <meta/MetaFactory.h>
#include <meta/MetaData.h>
#include <meta/MetaHelper.h>

#pragma warning(disable:4786)

/*static*/ MetaFactory* MetaFactory::factory = 0;

IMeta* MetaFactory::createMeta()
{
	if (meta) {
		delete meta;
		MetaHelper::reinitialize();
	}
	meta = new MetaData();
	return meta;
}

IMeta* MetaFactory::getMeta() const
{
	return meta;
}
